unit AbtImgFx;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
	Buttons, ExtCtrls, ImgFX200;

type
  TAboutTImageFX = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Memo1: TMemo;
    Copyright: TLabel;
    Version: TLabel;
    OKButton: TButton;
		AboutFX: TImageFX;
    Label2: TLabel;
    Label1: TLabel;
    procedure OKButtonClick(Sender: TObject);
    procedure AboutFXPaint(Sender: TObject);
    procedure AboutFXClick(Sender: TObject);
    procedure CopyrightClick(Sender: TObject);
    procedure VersionClick(Sender: TObject);
    procedure ProductNameClick(Sender: TObject);
	private
    { Private declarations }
  public
    { Public declarations }
  end;

var
	AboutTImageFX: TAboutTImageFX;

implementation

uses Fx200Frm;

{$R *.DFM}
{$I Images.inc}

procedure TAboutTImageFX.OKButtonClick(Sender: TObject);
begin
	AboutFX.Effect := fxHideImplode;
	AboutFX.ShowEffect;
	while AboutFX.Busy do								{Pause AboutBox closure until effect is complete}
		Application.ProcessMessages;
	AboutFX.Effect := fxSideCurtainRoll;		{About box opens with this effect next time}
	Close;
end;

{Don't set Effect here; then only that effect will ever paint}
procedure TAboutTImageFX.AboutFXPaint(Sender: TObject);
begin
	AboutFX.ShowEffect;
end;

procedure TAboutTImageFX.AboutFXClick(Sender: TObject);
begin
	with AboutFX do
	begin
		Effect := fxHideImplode;
		ShowEffect;
		while AboutFX.Busy do								{Pause AboutBox closure until effect is complete}
			Application.ProcessMessages;
		Effect := fxNone;
		ShowEffect;
	end;
end;

procedure TAboutTImageFX.CopyrightClick(Sender: TObject);
begin
	with AboutFX do
	begin
		Effect := fxPushDown;
		ShowEffect;
	end;
end;

procedure TAboutTImageFX.VersionClick(Sender: TObject);
begin
	with AboutFX do
	begin
		Effect := fxHideImplode;
		ShowEffect;
		while AboutFX.Busy do								{Pause AboutBox closure until effect is complete}
			Application.ProcessMessages;
		Effect := fxViewExplode;
		ShowEffect;
	end;
end;

procedure TAboutTImageFX.ProductNameClick(Sender: TObject);
begin
	VersionClick(Sender);
end;

end.

